Class | HTTP::Message
In: | lib/facets/more/http.rb
Parent: | Object

# HTTP Message

A class that describes 1 HTTP request / response message.

### Methods

body body= content contenttype contenttype= create_query_multipart_str create_query_part_str dump escape escape_query header header= load mime_type multiparam_query? new new_request new_response reason reason= status status= version version=

### Classes and Modules

Class HTTP::Message::Body
Class HTTP::Message::Headers

### Constants

CRLF | = | "\r\n"

### External Aliases

new | -> | __new

### Public Class methods

create_query_multipart_str(query, boundary)
create_query_part_str(query)
escape(str)

from CGI.escape

escape_query(query)
mime_type(path)
multiparam_query?(query)
new()
new_request(method, uri, query = nil, body = nil, proxy = nil, boundary = nil)
new_response(body = '')

### Public Instance methods

body()
body=(body)
content()
contenttype()
contenttype=(contenttype)
dump(dev = '')
header()
header=(header)
load(str)
reason()
reason=(reason)
status()
status=(status)
version()
version=(version)

[Validate]